<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}
/**
 * Static class used to add html to meta boxes required by admin configuration.
 * @author Clayton Rogers
 *
 */
class WCS_BT_Meta_Box{
	
	/**
	 * Setup all filters for functionality. 
	 */
	public static function init(){
		if(BT_Manager()->braintreeSubscriptions){
			add_action('woocommerce_product_options_general_product_data', __CLASS__.'::doSubscriptionOutput', 1);
		}
	}
	
	/**
	 * Output the Braintree Plan ID's to the WooCommerce production box. 
	 */
	public static function doSubscriptionOutput(){
		echo '<div class="options_group braintree_plans_options">';
		woocommerce_wp_select(array(
			'id'=>'braintree_subscription_id',
			'class'=>'form-field',
			'label'=>__('Braintree Plan ID\'s', 'braintree'),
			'options'=>WC_Braintree_Subscriptions::getBraintreePlans(),
			'description'=>__('In order to assign a Braintree Plan Id to the product, you must first configure
				a recurring plan inside your Braintree account.', 'braintree'),
			'desc_tip'=>true
		));
		echo '</div>';
	}
}
add_action('admin_init', 'WCS_BT_Meta_Box::init');